Redmine - Feature #3504

Footnotes do not work in issue discription.
2009-06-16 16:11 - Curtis Stewart
Target version:

Resolution:

Description

Since r1941 | have been using footnotes in both the Wiki's and the Forums with great success. However | tried to add a footnote to a
long issues today and while the' marker worked the actual .fn1 did not.
Can this be corrected?

| am running the following version®.

" This is a footnote.

2 Current Version.

ruby ./script/about
About your application's environment

Ruby version 1.8.7 (x86_64-1inux)
RubyGems version 1.3.1

Rails version 2.2.2

Active Record version 2.2.2

Action Pack version 2.2.2

Active Resource version 2.2.2

Action Mailer version 2.2.2

Active Support version 2.2.2

Application root /usr/edms/ttrack/redmine
Environment production

Database adapter mysqgl

Database schema version 20090503121510

History

#1 - 2009-06-16 22:59 - Mischa The Evil

Curtis Stewart wrote:

Since r1941 | have been using footnotes in both the Wiki's and the Forums with great success. However | tried to add a footnote to a long issues
today and while the marker worked the actual .fn1 did not.

Can this be corrected?

| cannot confirm this issue. Looking at this issue's description you are using incorrect syntax for the actual footnote. It should be fn1. instead of .fn1 to
get it working. See e.g. http://hobix.com/textile/#quick-block-maodifiers, under footnotes.

I'll modify your issue's description to show the correct result.

Please provide some feedback if this solves your issue...

#2 - 2009-06-16 23:44 - Curtis Stewart

- Status changed from New to Resolved

| see that you have been able to fix my typo.
In my case it did not help. This time | cut and pasted the line from my issue (see below) and it is not working on my version.

I have found the problem. If you include the pre tag in the line following the fn1. then is will not work. If you have an additional blank line then it does.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1941
https://www.redmine.org/projects/redmine/repository/svn/revisions/1941
http://hobix.com/textile/#quick-block-modifiers

Feel free to close this issue. | now know what the problem was and can correct it. Thanks for your time.

! footnote

line of code
2
footnote

line of code

#3 - 2009-06-16 23:55 - Mischa The Evil

- Category set to Documentation
Curtis Stewart wrote:

If you include the pre tag in the line following the fn1. then it will not work. If you have an additional blank line then it does.

Just my two cents: as far as | know such is required for all block-elements such as headings, tables and footnotes...
Maybe this should be documented more detailed...!?

#4 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#5 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed
